package com.bocloud.ims.entity.resource.hmc.params;

public class HmcServerUpdateParams {

    private Long id;

    private String name;

    private Boolean poweroffAllLparShutdown;

    private String pendingPoweronLparStartPolicy;

    private String pendingPowerOnSide;

    private String pendingSystemKeylock;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getPoweroffAllLparShutdown() {
        return poweroffAllLparShutdown;
    }

    public void setPoweroffAllLparShutdown(Boolean poweroffAllLparShutdown) {
        this.poweroffAllLparShutdown = poweroffAllLparShutdown;
    }

    public String getPendingPoweronLparStartPolicy() {
        return pendingPoweronLparStartPolicy;
    }

    public void setPendingPoweronLparStartPolicy(String pendingPoweronLparStartPolicy) {
        this.pendingPoweronLparStartPolicy = pendingPoweronLparStartPolicy;
    }

    public String getPendingPowerOnSide() {
        return pendingPowerOnSide;
    }

    public void setPendingPowerOnSide(String pendingPowerOnSide) {
        this.pendingPowerOnSide = pendingPowerOnSide;
    }

    public String getPendingSystemKeylock() {
        return pendingSystemKeylock;
    }

    public void setPendingSystemKeylock(String pendingSystemKeylock) {
        this.pendingSystemKeylock = pendingSystemKeylock;
    }
}
